diff --git a/gcc/ipa-profile.c b/gcc/ipa-profile.c
index 54bb5bf..f41c95c 100644
--- a/gcc/ipa-profile.c
+++ b/gcc/ipa-profile.c
@@ -563,7 +563,7 @@ ipa_profile (void)
   histogram.release ();
   histogram_pool.release ();
 
-  /* Produce speculative calls: we saved common traget from porfiling into
+  /* Produce speculative calls: we saved common traget from profiling into
      e->common_target_id.  Now, at link time, we can look up corresponding
      function node and produce speculative call.  */
 
diff --git a/gcc/ipa-prop.c b/gcc/ipa-prop.c
index 81fbb52..15e8197 100644
--- a/gcc/ipa-prop.c
+++ b/gcc/ipa-prop.c
@@ -570,7 +570,7 @@ ipa_set_ancestor_jf (struct ipa_jump_func *jfunc, HOST_WIDE_INT offset,
   jfunc->value.ancestor.agg_preserved = agg_preserved;
 }
 
-/* Get IPA BB information about the given BB.  FBI is the context of analyzis
+/* Get IPA BB information about the given BB.  FBI is the context of analysis
    of this function body.  */
 
 static struct ipa_bb_info *
@@ -682,7 +682,7 @@ check_stmt_for_type_change (ao_ref *ao ATTRIBUTE_UNUSED, tree vdef, void *data)
 
 /* See if ARG is PARAM_DECl describing instance passed by pointer
    or reference in FUNCTION.  Return false if the dynamic type may change
-   in between beggining of the function until CALL is invoked.
+   in between beginning of the function until CALL is invoked.
 
    Generally functions are not allowed to change type of such instances,
    but they call destructors.  We assume that methods can not destroy the THIS
@@ -693,10 +693,10 @@ static bool
 param_type_may_change_p (tree function, tree arg, gimple *call)
 {
   /* Pure functions can not do any changes on the dynamic type;
-     that require writting to memory.  */
+     that require writing to memory.  */
   if (flags_from_decl_or_type (function) & (ECF_PURE | ECF_CONST))
     return false;
-  /* We need to check if we are within inlined consturctor
+  /* We need to check if we are within inlined constructor
      or destructor (ideally we would have way to check that the
      inline cdtor is actually working on ARG, but we don't have
      easy tie on this, so punt on all non-pure cdtors.
@@ -742,7 +742,7 @@ param_type_may_change_p (tree function, tree arg, gimple *call)
    returned by get_ref_base_and_extent, as is the offset. 
 
    This is helper function for detect_type_change and detect_type_change_ssa
-   that does the heavy work which is usually unnecesary.  */
+   that does the heavy work which is usually unnecessary.  */
 
 static bool
 detect_type_change_from_memory_writes (tree arg, tree base, tree comp_type,
@@ -875,7 +875,7 @@ find_dominating_aa_status (struct ipa_func_body_info *fbi, basic_block bb,
 }
 
 /* Get AA status structure for the given BB and parameter with INDEX.  Allocate
-   structures and/or intialize the result with a dominating description as
+   structures and/or initialize the result with a dominating description as
    necessary.  */
 
 static struct ipa_param_aa_status *
@@ -1025,8 +1025,8 @@ parm_ref_data_pass_through_p (struct ipa_func_body_info *fbi, int index,
   bool modified = false;
   ao_ref refd;
 
-  /* It's unnecessary to calculate anything about memory contnets for a const
-     function because it is not goin to use it.  But do not cache the result
+  /* It's unnecessary to calculate anything about memory contents for a const
+     function because it is not going to use it.  But do not cache the result
      either.  Also, no such calculations for non-pointers.  */
   if (!gimple_vuse (call)
       || !POINTER_TYPE_P (TREE_TYPE (parm))
@@ -1817,7 +1817,7 @@ ipa_set_jfunc_vr (ipa_jump_func *jf, enum value_range_type type,
   jf->m_vr = ipa_get_value_range (type, min, max);
 }
 
-/* Assign to JF a pointer to a value_range just liek TMP but either fetch a
+/* Assign to JF a pointer to a value_range just like TMP but either fetch a
    copy from ipa_vr_hash_table or allocate a new on in GC memory.  */
 
 static void
@@ -2839,7 +2839,7 @@ ipa_make_edge_direct_to_target (struct cgraph_edge *ie, tree target,
 	  /* Member pointer call that goes through a VMT lookup.  */
 	  if (ie->indirect_info->member_ptr
 	      /* Or if target is not an invariant expression and we do not
-		 know if it will evaulate to function at runtime.
+		 know if it will evaluate to function at runtime.
 		 This can happen when folding through &VAR, where &VAR
 		 is IP invariant, but VAR itself is not.
 
@@ -2878,7 +2878,7 @@ ipa_make_edge_direct_to_target (struct cgraph_edge *ie, tree target,
   else
     callee = cgraph_node::get (target);
 
-  /* Because may-edges are not explicitely represented and vtable may be external,
+  /* Because may-edges are not explicitly represented and vtable may be external,
      we may create the first reference to the object in the unit.  */
   if (!callee || callee->global.inlined_to)
     {
@@ -3549,7 +3549,7 @@ combine_controlled_uses_counters (int c, int d)
     return c + d - 1;
 }
 
-/* Propagate number of controlled users from CS->caleee to the new root of the
+/* Propagate number of controlled users from CS->callee to the new root of the
    tree of inlined nodes.  */
 
 static void
@@ -3783,7 +3783,7 @@ ipa_edge_args_sum_t::remove (cgraph_edge *cs, ipa_edge_args *args)
 }
 
 /* Method invoked when an edge is duplicated.  Copy ipa_edge_args and adjust
-   reference count data strucutres accordingly.  */
+   reference count data structures accordingly.  */
 
 void
 ipa_edge_args_sum_t::duplicate (cgraph_edge *src, cgraph_edge *dst,
diff --git a/gcc/ipa-prop.h b/gcc/ipa-prop.h
index fa5bed4..918e8c5 100644
--- a/gcc/ipa-prop.h
+++ b/gcc/ipa-prop.h
@@ -58,7 +58,7 @@ along with GCC; see the file COPYING3.  If not see
 enum jump_func_type
 {
   IPA_JF_UNKNOWN = 0,  /* newly allocated and zeroed jump functions default */
-  IPA_JF_CONST,             /* represented by field costant */
+  IPA_JF_CONST,             /* represented by field constant */
   IPA_JF_PASS_THROUGH,	    /* represented by field pass_through */
   IPA_JF_ANCESTOR	    /* represented by field ancestor */
 };
@@ -110,7 +110,7 @@ struct GTY(()) ipa_ancestor_jf_data
   unsigned agg_preserved : 1;
 };
 
-/* An element in an aggegate part of a jump function describing a known value
+/* An element in an aggregate part of a jump function describing a known value
    at a given offset.  When it is part of a pass-through jump function with
    agg_preserved set or an ancestor jump function with agg_preserved set, all
    unlisted positions are assumed to be preserved but the value can be a type
@@ -170,17 +170,17 @@ struct GTY(()) ipa_vr
    types of jump functions supported.  */
 struct GTY (()) ipa_jump_func
 {
-  /* Aggregate contants description.  See struct ipa_agg_jump_function and its
+  /* Aggregate constants description.  See struct ipa_agg_jump_function and its
      description.  */
   struct ipa_agg_jump_function agg;
 
   /* Information about zero/non-zero bits.  The pointed to structure is shared
-     betweed different jump functions.  Use ipa_set_jfunc_bits to set this
+     between different jump functions.  Use ipa_set_jfunc_bits to set this
      field.  */
   struct ipa_bits *bits;
 
   /* Information about value range, containing valid data only when vr_known is
-     true.  The pointed to structure is shared betweed different jump
+     true.  The pointed to structure is shared between different jump
      functions.  Use ipa_set_jfunc_vr to set this field.  */
   struct value_range *m_vr;
 
@@ -197,7 +197,7 @@ struct GTY (()) ipa_jump_func
 };
 
 
-/* Return the constant stored in a constant jump functin JFUNC.  */
+/* Return the constant stored in a constant jump function JFUNC.  */
 
 static inline tree
 ipa_get_jf_constant (struct ipa_jump_func *jfunc)
@@ -288,7 +288,7 @@ ipa_get_jf_ancestor_agg_preserved (struct ipa_jump_func *jfunc)
   return jfunc->value.ancestor.agg_preserved;
 }
 
-/* Return true if ancestor jump function JFUNC presrves type information.  */
+/* Return true if ancestor jump function JFUNC preserves type information.  */
 
 static inline bool
 ipa_get_jf_ancestor_type_preserved (struct ipa_jump_func *jfunc)
@@ -355,7 +355,7 @@ struct GTY((for_user)) ipa_node_params
   /* Node has been completely replaced by clones and will be removed after
      ipa-cp is finished.  */
   unsigned node_dead : 1;
-  /* Node is involved in a recursion, potentionally indirect.  */
+  /* Node is involved in a recursion, potentially indirect.  */
   unsigned node_within_scc : 1;
   /* Node is calling a private function called only once.  */
   unsigned node_calling_single_call : 1;
@@ -535,7 +535,7 @@ struct GTY(()) ipa_agg_replacement_value
   HOST_WIDE_INT offset;
   /* The constant value.  */
   tree value;
-  /* The paramter index.  */
+  /* The parameter index.  */
   int index;
   /* Whether the value was passed by reference.  */
   bool by_ref;
@@ -626,7 +626,7 @@ public:
 			  ipa_node_params *data2);
 };
 
-/* Summary to manange ipa_edge_args structures.  */
+/* Summary to manage ipa_edge_args structures.  */
 
 class GTY((user)) ipa_edge_args_sum_t : public call_summary <ipa_edge_args *>
 {
@@ -782,7 +782,7 @@ enum ipa_parm_op {
 
   /* This adjustment describes a parameter that is about to be removed
      completely.  Most users will probably need to book keep those so that they
-     don't leave behinfd any non default def ssa names belonging to them.  */
+     don't leave behind any non default def ssa names belonging to them.  */
   IPA_PARM_OP_REMOVE
 };
 
@@ -805,7 +805,7 @@ struct ipa_parm_adjustment
      be a pointer to this type.  */
   tree type;
 
-  /* Alias refrerence type to be used in MEM_REFs when adjusting caller
+  /* Alias reference type to be used in MEM_REFs when adjusting caller
      arguments.  */
   tree alias_ptr_type;
 
diff --git a/gcc/ipa-ref.h b/gcc/ipa-ref.h
index fc1e95f..7c0a740 100644
--- a/gcc/ipa-ref.h
+++ b/gcc/ipa-ref.h
@@ -47,7 +47,7 @@ public:
      function.  */
   bool cannot_lead_to_return ();
 
-  /* Return true if refernece may be used in address compare.  */
+  /* Return true if reference may be used in address compare.  */
   bool address_matters_p ();
 
   /* Return reference list this reference is in.  */
diff --git a/gcc/ipa-reference.c b/gcc/ipa-reference.c
index 45c2e3f..d85e9f4 100644
--- a/gcc/ipa-reference.c
+++ b/gcc/ipa-reference.c
@@ -321,7 +321,7 @@ union_static_var_sets (bitmap &x, bitmap y)
 	     In that case, we want to make that visible explicitly.
 	     Even though bitmap_equal_p can be very expensive, it
 	     turns out to be an overall win to check this here for
-	     an LTO bootstrap of GCC itself.  Liberally extrapoliate
+	     an LTO bootstrap of GCC itself.  Liberally extrapolate
 	     that result to be applicable to all cases.  */
 	  if (bitmap_equal_p (x, all_module_statics))
 	    {
diff --git a/gcc/ipa-split.c b/gcc/ipa-split.c
index 7778b9c..eb3c3a7 100644
--- a/gcc/ipa-split.c
+++ b/gcc/ipa-split.c
@@ -163,7 +163,7 @@ test_nonssa_use (gimple *, tree t, tree, void *data)
       || (VAR_P (t)
 	  && auto_var_in_fn_p (t, current_function_decl))
       || TREE_CODE (t) == RESULT_DECL
-	 /* Normal labels are part of CFG and will be handled gratefuly.
+	 /* Normal labels are part of CFG and will be handled gratefully.
 	    Forced labels however can be used directly by statements and
 	    need to stay in one partition along with their uses.  */
       || (TREE_CODE (t) == LABEL_DECL
diff --git a/gcc/ipa-utils.c b/gcc/ipa-utils.c
index 39db923..07bbc1d 100644
--- a/gcc/ipa-utils.c
+++ b/gcc/ipa-utils.c
@@ -631,7 +631,8 @@ ipa_merge_profiles (struct cgraph_node *dst,
   src->decl = oldsrcdecl;
 }
 
-/* Return true if call to DEST is known to be self-recusive call withing FUNC.   */
+/* Return true if call to DEST is known to be self-recursive call within
+   FUNC.  */
 
 bool
 recursive_call_p (tree func, tree dest)
@@ -648,7 +649,7 @@ recursive_call_p (tree func, tree dest)
     return true;
   if (!dest_node->semantically_equivalent_p (cnode))
     return false;
-  /* If there is only one way to call the fuction or we know all of them
+  /* If there is only one way to call the function or we know all of them
      are semantically equivalent, we still can consider call recursive.  */
   FOR_EACH_ALIAS (cnode, alias)
     if (!dest_node->semantically_equivalent_p (alias->referring))
diff --git a/gcc/ipa-utils.h b/gcc/ipa-utils.h
index e992f65..9c433ed 100644
--- a/gcc/ipa-utils.h
+++ b/gcc/ipa-utils.h
@@ -169,7 +169,7 @@ possible_polymorphic_call_target_p (struct cgraph_edge *e,
 inline bool
 polymorphic_type_binfo_p (const_tree binfo)
 {
-  /* See if BINFO's type has an virtual table associtated with it.
+  /* See if BINFO's type has an virtual table associated with it.
      Check is defensive because of Java FE produces BINFOs
      without BINFO_TYPE set.   */
   return (BINFO_TYPE (binfo) && TYPE_BINFO (BINFO_TYPE (binfo))
diff --git a/gcc/ipa-visibility.c b/gcc/ipa-visibility.c
index d5a3ae5..f04445b 100644
--- a/gcc/ipa-visibility.c
+++ b/gcc/ipa-visibility.c
@@ -91,7 +91,7 @@ non_local_p (struct cgraph_node *node, void *data ATTRIBUTE_UNUSED)
 {
   return !(node->only_called_directly_or_aliased_p ()
 	   /* i386 would need update to output thunk with local calling
-	      convetions.  */
+	      conventions.  */
 	   && !node->thunk.thunk_p
 	   && node->definition
 	   && !DECL_EXTERNAL (node->decl)
@@ -215,7 +215,7 @@ cgraph_externally_visible_p (struct cgraph_node *node,
     return true;
   if (node->resolution == LDPR_PREVAILING_DEF_IRONLY)
     return false;
-  /* When doing LTO or whole program, we can bring COMDAT functoins static.
+  /* When doing LTO or whole program, we can bring COMDAT functions static.
      This improves code quality and we know we will duplicate them at most twice
      (in the case that we are not using plugin and link with object file
       implementing same COMDAT)  */
@@ -295,7 +295,7 @@ varpool_node::externally_visible_p (void)
   /* As a special case, the COMDAT virtual tables can be unshared.
      In LTO mode turn vtables into static variables.  The variable is readonly,
      so this does not enable more optimization, but referring static var
-     is faster for dynamic linking.  Also this match logic hidding vtables
+     is faster for dynamic linking.  Also this match logic hiding vtables
      from LTO symbol tables.  */
   if (((in_lto_p || flag_whole_program) && !flag_incremental_link)
       && DECL_COMDAT (decl)
@@ -318,7 +318,7 @@ varpool_node::externally_visible_p (void)
      inline definitions.
 
      FIXME: We can do so for readonly vars with no address taken and
-     possibly also for vtables since no direct pointer comparsion is done.
+     possibly also for vtables since no direct pointer comparison is done.
      It might be interesting to do so to reduce linking overhead.  */
   if (DECL_COMDAT (decl) || DECL_WEAK (decl))
     return true;
diff --git a/gcc/ipa.c b/gcc/ipa.c
index 3dc8e41..0471a84 100644
--- a/gcc/ipa.c
+++ b/gcc/ipa.c
@@ -81,7 +81,7 @@ update_inlined_to_pointer (struct cgraph_node *node, struct cgraph_node *inlined
 
    The queue is linked via AUX pointers and terminated by pointer to 1.
    We enqueue nodes at two occasions: when we find them reachable or when we find
-   their bodies needed for further clonning.  In the second case we mark them
+   their bodies needed for further cloning.  In the second case we mark them
    by pointer to 2 after processing so they are re-queue when they become
    reachable.  */
 
@@ -151,7 +151,7 @@ process_references (symtab_node *snode,
    devirtualization happens.  After inlining still keep their declarations
    around, so we can devirtualize to a direct call.
 
-   Also try to make trivial devirutalization when no or only one target is
+   Also try to make trivial devirtualization when no or only one target is
    possible.  */
 
 static void
@@ -282,7 +282,7 @@ walk_polymorphic_call_targets (hash_set<void *> *reachable_call_targets,
    - C++ virtual tables keyed to other unit are represented as DECL_EXTERNAL
      variables with DECL_INITIAL set.  We finalize these and keep reachable
      ones around for constant folding purposes.  After inlining we however
-     stop walking their references to let everything static referneced by them
+     stop walking their references to let everything static referenced by them
      to be removed when it is otherwise unreachable.
 
    We maintain queue of both reachable symbols (i.e. defined symbols that needs
@@ -770,7 +770,7 @@ set_writeonly_bit (varpool_node *vnode, void *data)
   return false;
 }
 
-/* Clear addressale bit of VNODE.  */
+/* Clear addressable bit of VNODE.  */
 
 bool
 clear_addressable_bit (varpool_node *vnode, void *data ATTRIBUTE_UNUSED)
@@ -783,12 +783,12 @@ clear_addressable_bit (varpool_node *vnode, void *data ATTRIBUTE_UNUSED)
 /* Discover variables that have no longer address taken or that are read only
    and update their flags.
 
-   Return true when unreachable symbol removan should be done.
+   Return true when unreachable symbol removal should be done.
 
    FIXME: This can not be done in between gimplify and omp_expand since
    readonly flag plays role on what is shared and what is not.  Currently we do
    this transformation as part of whole program visibility and re-do at
-   ipa-reference pass (to take into account clonning), but it would
+   ipa-reference pass (to take into account cloning), but it would
    make sense to do it before early optimizations.  */
 
 bool
@@ -1190,7 +1190,7 @@ make_pass_ipa_cdtor_merge (gcc::context *ctxt)
 #define BOTTOM ((cgraph_node *)(size_t) 2)
 
 /* Meet operation for single user dataflow.
-   Here we want to associate variables with sigle function that may access it.
+   Here we want to associate variables with single function that may access it.
 
    FUNCTION is current single user of a variable, VAR is variable that uses it.
    Latttice is stored in SINGLE_USER_MAP.
@@ -1261,7 +1261,7 @@ propagate_single_user (varpool_node *vnode, cgraph_node *function,
 
 /* Pass setting used_by_single_function flag.
    This flag is set on variable when there is only one function that may
-   possibly referr to it.  */
+   possibly refer to it.  */
 
 static unsigned int
 ipa_single_use (void)
diff --git a/gcc/jit/jit-playback.c b/gcc/jit/jit-playback.c
index 76cc88f..3002fe0 100644
--- a/gcc/jit/jit-playback.c
+++ b/gcc/jit/jit-playback.c
@@ -1742,7 +1742,7 @@ auto_argvec::~auto_argvec ()
 
 /* Compile a playback::context:
 
-   - Use the context's options to cconstruct command-line options, and
+   - Use the context's options to construct command-line options, and
      call into the rest of GCC (toplev::main).
    - Assuming it succeeds, we have a .s file.
    - We then run the "postprocess" vfunc:
@@ -2936,7 +2936,7 @@ playback::context::
 get_source_file (const char *filename)
 {
   /* Locate the file.
-     For simplicitly, this is currently a linear search.
+     For simplicity, this is currently a linear search.
      Replace with a hash if this shows up in the profile.  */
   int i;
   source_file *file;
@@ -2977,7 +2977,7 @@ playback::source_file::
 get_source_line (int line_num)
 {
   /* Locate the line.
-     For simplicitly, this is currently a linear search.
+     For simplicity, this is currently a linear search.
      Replace with a hash if this shows up in the profile.  */
   int i;
   source_line *line;
diff --git a/gcc/jit/jit-recording.c b/gcc/jit/jit-recording.c
index 723ddb3..fb8c380 100644
--- a/gcc/jit/jit-recording.c
+++ b/gcc/jit/jit-recording.c
@@ -534,7 +534,7 @@ recording::context::~context ()
       free (m_last_error_str);
 }
 
-/* Add the given mememto to the list of those tracked by this
+/* Add the given memento to the list of those tracked by this
    gcc::jit::recording::context, so that e.g. it can be deleted
    when this context is released.  */
 
@@ -3423,7 +3423,7 @@ recording::function::replay_into (replayer *r)
 }
 
 /* Create a recording::local instance and add it to
-   the functions's context's list of mementos, and to the function's
+   the function's context's list of mementos, and to the function's
    list of locals.
 
    Implements the post-error-checking part of
@@ -3441,7 +3441,7 @@ recording::function::new_local (recording::location *loc,
 }
 
 /* Create a recording::block instance and add it to
-   the functions's context's list of mementos, and to the function's
+   the function's context's list of mementos, and to the function's
    list of blocks.
 
    Implements the post-error-checking part of
diff --git a/gcc/jit/libgccjit.c b/gcc/jit/libgccjit.c
index 9b003e3..80ec7e7 100644
--- a/gcc/jit/libgccjit.c
+++ b/gcc/jit/libgccjit.c
@@ -289,7 +289,7 @@ struct gcc_jit_timer : public timer
 
 /* Format the given string, and report it as an error, either on CTXT
    if non-NULL, or by printing to stderr if we have a NULL context.
-   LOC gives the source location where the error occcurred, and can be
+   LOC gives the source location where the error occurred, and can be
    NULL.  */
 
 static void
@@ -847,7 +847,7 @@ gcc_jit_context_new_function (gcc_jit_context *ctxt,
   RETURN_NULL_IF_FAIL (return_type, ctxt, loc, "NULL return_type");
   RETURN_NULL_IF_FAIL (name, ctxt, loc, "NULL name");
   /* The assembler can only handle certain names, so for now, enforce
-     C's rules for identiers upon the name, using ISALPHA and ISALNUM
+     C's rules for identifiers upon the name, using ISALPHA and ISALNUM
      from safe-ctype.h to ignore the current locale.
      Eventually we'll need some way to interact with e.g. C++ name
      mangling.  */
diff --git a/gcc/jit/libgccjit.h b/gcc/jit/libgccjit.h
index 898ee98..538a197 100644
--- a/gcc/jit/libgccjit.h
+++ b/gcc/jit/libgccjit.h
@@ -1151,7 +1151,7 @@ gcc_jit_context_new_case (gcc_jit_context *ctxt,
 extern gcc_jit_object *
 gcc_jit_case_as_object (gcc_jit_case *case_);
 
-/* Terminate a block by adding evalation of an rvalue, then performing
+/* Terminate a block by adding evaluation of an rvalue, then performing
    a multiway branch.
 
    This is roughly equivalent to this C code:
diff --git a/gcc/loop-invariant.c b/gcc/loop-invariant.c
index cda42ef..9f87810 100644
--- a/gcc/loop-invariant.c
+++ b/gcc/loop-invariant.c
@@ -795,7 +795,7 @@ canonicalize_address_mult (rtx x)
 
 #define MAX_CANON_ADDR_PARTS (5)
 
-/* Collect sub expressions in address X with PLUS as the seperator.
+/* Collect sub expressions in address X with PLUS as the separator.
    Sub expressions are stored in vector ADDR_PARTS.  */
 
 static void
@@ -815,7 +815,7 @@ collect_address_parts (rtx x, vec<rtx> *addr_parts)
 }
 
 /* Compare function for sorting sub expressions X and Y based on
-   precedence defined for communitive operations.  */
+   precedence defined for commutative operations.  */
 
 static int
 compare_address_parts (const void *x, const void *y)
@@ -833,7 +833,7 @@ compare_address_parts (const void *x, const void *y)
      2) Divide address into sub expressions with PLUS as the
 	separator.
      3) Sort sub expressions according to precedence defined
-	for communative operations.
+	for commutative operations.
      4) Simplify CONST_INT_P sub expressions.
      5) Create new canonicalized address and return.
    Callers should prepare a copy of X because this function may
diff --git a/gcc/loop-unroll.c b/gcc/loop-unroll.c
index 5feaa8c..cf208fe 100644
--- a/gcc/loop-unroll.c
+++ b/gcc/loop-unroll.c
@@ -1186,7 +1186,7 @@ decide_unroll_stupid (struct loop *loop, int flags)
 
   /* Do not unroll loops with branches inside -- it increases number
      of mispredicts. 
-     TODO: this heuristic needs tunning; call inside the loop body
+     TODO: this heuristic needs tuning; call inside the loop body
      is also relatively good reason to not unroll.  */
   if (num_loop_branches (loop) > 1)
     {
diff --git a/gcc/lra-assigns.c b/gcc/lra-assigns.c
index e4cc43a..4cb1c53 100644
--- a/gcc/lra-assigns.c
+++ b/gcc/lra-assigns.c
@@ -233,7 +233,7 @@ reload_pseudo_compare_func (const void *v1p, const void *v2p)
   if ((diff = regno_assign_info[r1].first - regno_assign_info[r2].first) != 0)
     return diff;
   /* Prefer pseudos with longer live ranges.  It sets up better
-     prefered hard registers for the thread pseudos and decreases
+     preferred hard registers for the thread pseudos and decreases
      register-register moves between the thread pseudos.  */
   if ((diff = regno_live_length[r2] - regno_live_length[r1]) != 0)
     return diff;
diff --git a/gcc/lra-coalesce.c b/gcc/lra-coalesce.c
index 44887b1..124a764 100644
--- a/gcc/lra-coalesce.c
+++ b/gcc/lra-coalesce.c
@@ -338,7 +338,7 @@ lra_coalesce (void)
      should have different values, otherwise they can get the same
      hard reg and this is wrong for insn using p2 before coalescing.
      The situation even can be more complicated when new reload
-     pseudos occur after the inheriatnce.  So invalidate the result
+     pseudos occur after the inheritance.  So invalidate the result
      pseudos.  */
   for (i = 0; i < max_regno; i++)
     if (first_coalesced_pseudo[i] == i
diff --git a/gcc/lra-constraints.c b/gcc/lra-constraints.c
index c6465c7..e013a04 100644
--- a/gcc/lra-constraints.c
+++ b/gcc/lra-constraints.c
@@ -53,7 +53,7 @@
    choice is still valid.
 
    The inheritance/spilt pass is to transform code to achieve
-   ineheritance and live range splitting.  It is done on backward
+   inheritance and live range splitting.  It is done on backward
    traversal of EBBs.
 
    The inheritance optimization goal is to reuse values in hard
@@ -879,7 +879,7 @@ regno_val_use_in (unsigned int regno, rtx x)
 }
 
 /* Return true if all current insn non-output operands except INS (it
-   has a negaitve end marker) do not use pseudos with the same value
+   has a negative end marker) do not use pseudos with the same value
    as REGNO.  */
 static bool
 check_conflict_input_operands (int regno, signed char *ins)
@@ -2347,7 +2347,7 @@ process_alt_operands (int only_alternative)
 		  else
 		    {
 		      /* Prefer won reg to spilled pseudo under other
-			 equal conditions for possibe inheritance.  */
+			 equal conditions for possible inheritance.  */
 		      if (! scratch_p)
 			{
 			  if (lra_dump_file != NULL)
@@ -2689,7 +2689,7 @@ process_alt_operands (int only_alternative)
 
 		 Non-pseudo spill may happen also.  Suppose a target allows both
 		 register and memory in the operand constraint alternatives,
-		 then it's typical that an eliminable register has a substition
+		 then it's typical that an eliminable register has a substitution
 		 of "base + offset" which can either be reloaded by a simple
 		 "new_reg <= base + offset" which will match the register
 		 constraint, or a similar reg addition followed by further spill
@@ -3426,7 +3426,7 @@ process_address_1 (int nop, bool check_only_p,
 	      delete_insns_since (PREV_INSN (last_insn));
 	    }
 	}
-      /* Try if target can split displacement into legitimite new disp
+      /* Try if target can split displacement into legitimate new disp
 	 and offset.  If it's the case, we replace the last insn with
 	 insns for base + offset => new_reg and set new_reg + new disp
 	 to *ad.inner.  */
@@ -3478,7 +3478,7 @@ process_address_1 (int nop, bool check_only_p,
       Index part of address may become invalid.  For example, we
       changed pseudo on the equivalent memory and a subreg of the
       pseudo onto the memory of different mode for which the scale is
-      prohibitted.  */
+      prohibited.  */
       new_reg = index_part_to_reg (&ad);
       *ad.inner = simplify_gen_binary (PLUS, GET_MODE (new_reg),
 				       *ad.base_term, new_reg);
@@ -4135,7 +4135,7 @@ curr_insn_transform (bool check_only_p)
 	      && REG_P (op)
 	      /* When we assign NO_REGS it means that we will not
 		 assign a hard register to the scratch pseudo by
-		 assigment pass and the scratch pseudo will be
+		 assignment pass and the scratch pseudo will be
 		 spilled.  Spilled scratch pseudos are transformed
 		 back to scratches at the LRA end.  */
 	      && lra_former_scratch_operand_p (curr_insn, i)
@@ -4661,7 +4661,7 @@ lra_constraints (bool first_p)
     lra_risky_transformations_p = first_p;
   new_insn_uid_start = get_max_uid ();
   new_regno_start = first_p ? lra_constraint_new_regno_start : max_reg_num ();
-  /* Mark used hard regs for target stack size calulations.  */
+  /* Mark used hard regs for target stack size calculations.  */
   for (i = FIRST_PSEUDO_REGISTER; i < new_regno_start; i++)
     if (lra_reg_info[i].nrefs != 0
 	&& (hard_regno = lra_get_regno_hard_regno (i)) >= 0)
@@ -4895,7 +4895,7 @@ lra_constraints_finish (void)
 
 
 
-/* Structure describes invariants for ineheritance.  */
+/* Structure describes invariants for inheritance.  */
 struct lra_invariant
 {
   /* The order number of the invariant.  */
@@ -5116,7 +5116,7 @@ check_secondary_memory_needed_p (enum reg_class inher_cl ATTRIBUTE_UNUSED,
    (inheritance/split pseudos and original registers).	*/
 static bitmap_head check_only_regs;
 
-/* Reload pseudos can not be involded in invariant inheritance in the
+/* Reload pseudos can not be involved in invariant inheritance in the
    current EBB.  */
 static bitmap_head invalid_invariant_regs;
 
@@ -5626,7 +5626,7 @@ split_reg (bool before_p, int original_regno, rtx_insn *insn,
    defines or uses REGNO in its insn biggest MODE (we use it only if
    REGNO is a hard register).  POTENTIAL_RELOAD_HARD_REGS contains
    hard registers which might be used for reloads since the EBB end.
-   Put the save before INSN if BEFORE_P is true.  MAX_UID is maximla
+   Put the save before INSN if BEFORE_P is true.  MAX_UID is maximal
    uid before starting INSN processing.  Return true if we succeed in
    such transformation.  */
 static bool
diff --git a/gcc/lra-eliminations.c b/gcc/lra-eliminations.c
index ab51b67..208b19f 100644
--- a/gcc/lra-eliminations.c
+++ b/gcc/lra-eliminations.c
@@ -309,7 +309,7 @@ move_plus_up (rtx x)
    substitution if UPDATE_P, or the full offset if FULL_P, or
    otherwise zero.  If FULL_P, we also use the SP offsets for
    elimination to SP.  If UPDATE_P, use UPDATE_SP_OFFSET for updating
-   offsets of register elimnable to SP.  If UPDATE_SP_OFFSET is
+   offsets of register eliminable to SP.  If UPDATE_SP_OFFSET is
    non-zero, don't use difference of the offset and the previous
    offset.
 
@@ -863,7 +863,7 @@ mark_not_eliminable (rtx x, machine_mode mem_mode)
 #ifdef HARD_FRAME_POINTER_REGNUM
 
 /* Find offset equivalence note for reg WHAT in INSN and return the
-   found elmination offset.  If the note is not found, return NULL.
+   found elimination offset.  If the note is not found, return NULL.
    Remove the found note.  */
 static rtx
 remove_reg_equal_offset_note (rtx_insn *insn, rtx what)
diff --git a/gcc/lra-int.h b/gcc/lra-int.h
index 4050717..83a7ca7 100644
--- a/gcc/lra-int.h
+++ b/gcc/lra-int.h
@@ -105,7 +105,7 @@ struct lra_reg
   /* Value holding by register.	 If the pseudos have the same value
      they do not conflict.  */
   int val;
-  /* Offset from relative eliminate register to pesudo reg.  */
+  /* Offset from relative eliminate register to pseudo reg.  */
   int offset;
   /* These members are set up in lra-lives.c and updated in
      lra-coalesce.c.  */
